Bug 125276 - glXMakeCurrent (xdisplay, None, NULL) crashes X
glXMakeCurrent (xdisplay, None, NULL) crashes X
Status: CLOSED DUPLICATE of bug 125703
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://freedesktop.org/bugzilla/show_...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 08:34 EDT by Jaakko Hyvätti
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:03:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaakko Hyvätti 2004-06-04 08:34:45 EDT
Description of problem:
On Fedora Core 2, both i386 and x86_64, the X server crashes when a
client calls glXMakeCurrent with the null arguments to release the
current context.


Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Run any program that calls glXMakeCurrent (xdisplay, None, NULL)
2.
3.
  
Actual results:
crashes X with sig 11

Expected results:
no crash

Additional info:

server log file, though I see no mention on anything else but sig 11:


Release Date: 18 December 2003
X Protocol Version 11, Revision 0, Release 6.7
Build Operating System: Linux 2.4.21-9.ELsmp x86_64 [ELF] 
Current Operating System: Linux sun.foreca.com 2.6.5-1.358smp #1 SMP
Sat May 8 09:28:14 EDT 2004 x86_64
Build Date: 07 May 2004
Build Host: thor.perf.redhat.com
 
	Before reporting problems, check http://wiki.X.Org
	to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.6.5-1.358smp
(bhcompile@dolly.build.redhat.com) (gcc version 3.3.3 20040412 (Red
Hat Linux 3.3.3-7)) #1 SMP Sat May 8 09:28:14 EDT 2004 
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Fri Jun  4 12:58:21 2004
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Videocard0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib64/modules"
(**) Option "AllowMouseOpenFail" "yes"
(WW) Open APM failed (/dev/apm_bios) (No such device)
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.2
	X.Org Video Driver: 0.7
	X.Org XInput driver : 0.4
	X.Org Server Extension : 0.2
	X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib64/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib64/modules/libpcidata.a
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.7
(--) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:06:0: chip 1022,7460 card 0000,0000 rev 07 class 06,04,00
hdr 01
(II) PCI: 00:07:0: chip 1022,7468 card 1462,1310 rev 05 class 06,01,00
hdr 80
(II) PCI: 00:07:1: chip 1022,7469 card 1022,7469 rev 03 class 01,01,8a
hdr 00
(II) PCI: 00:07:2: chip 1022,746a card 1462,1310 rev 02 class 0c,05,00
hdr 00
(II) PCI: 00:07:3: chip 1022,746b card 1462,1310 rev 05 class 06,80,00
hdr 00
(II) PCI: 00:0a:0: chip 1022,7450 card 0000,0000 rev 12 class 06,04,00
hdr 81
(II) PCI: 00:0a:1: chip 1022,7451 card 1462,1310 rev 01 class 08,00,10
hdr 00
(II) PCI: 00:0b:0: chip 1022,7450 card 0000,0000 rev 12 class 06,04,00
hdr 81
(II) PCI: 00:0b:1: chip 1022,7451 card 1462,1310 rev 01 class 08,00,10
hdr 00
(II) PCI: 00:18:0: chip 1022,1100 card 0000,0000 rev 00 class 06,00,00
hdr 80
(II) PCI: 00:18:1: chip 1022,1101 card 0000,0000 rev 00 class 06,00,00
hdr 80
(II) PCI: 00:18:2: chip 1022,1102 card 0000,0000 rev 00 class 06,00,00
hdr 80
(II) PCI: 00:18:3: chip 1022,1103 card 0000,0000 rev 00 class 06,00,00
hdr 80
(II) PCI: 00:19:0: chip 1022,1100 card 0000,0000 rev 00 class 06,00,00
hdr 80
(II) PCI: 00:19:1: chip 1022,1101 card 0000,0000 rev 00 class 06,00,00
hdr 80
(II) PCI: 00:19:2: chip 1022,1102 card 0000,0000 rev 00 class 06,00,00
hdr 80
(II) PCI: 00:19:3: chip 1022,1103 card 0000,0000 rev 00 class 06,00,00
hdr 80
(II) PCI: 01:01:0: chip 13c1,1001 card 13c1,1001 rev 01 class 01,04,00
hdr 00
(II) PCI: 01:02:0: chip 14e4,1648 card 14e4,1648 rev 03 class 02,00,00
hdr 80
(II) PCI: 01:02:1: chip 14e4,1648 card 14e4,1648 rev 03 class 02,00,00
hdr 80
(II) PCI: 03:00:0: chip 1022,7464 card 1022,7464 rev 0b class 0c,03,10
hdr 80
(II) PCI: 03:00:1: chip 1022,7464 card 1022,7464 rev 0b class 0c,03,10
hdr 00
(II) PCI: 03:06:0: chip 1002,4752 card 1462,1310 rev 27 class 03,00,00
hdr 00
(II) PCI: End of PCI scan
(II) PCI-to-PCI bridge:
(II) Bus 3: bridge is at (0:6:0), (0,3,3), BCTRL: 0x000b (VGA_EN is set)
(II) Bus 3 I/O range:
	[0] -1	0	0x00009000 - 0x0000bfff (0x3000) IX[B]
(II) Bus 3 non-prefetchable memory range:
	[0] -1	0	0xfca00000 - 0xfeafffff (0x2100000) MX[B]
(II) Bus 3 prefetchable memory range:
	[0] -1	0	0xff500000 - 0xff5fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:7:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is
set)
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:10:0), (0,2,2), BCTRL: 0x0005 (VGA_EN is
cleared)
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xfc900000 - 0xfc9fffff (0x100000) MX[B]
(II) Bus 2 prefetchable memory range:
	[0] -1	0	0xff400000 - 0xff4fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:11:0), (0,1,1), BCTRL: 0x0405 (VGA_EN is
cleared)
(II) Bus 1 I/O range:
	[0] -1	0	0x00008000 - 0x000080ff (0x100) IX[B]
	[1] -1	0	0x00008400 - 0x000084ff (0x100) IX[B]
	[2] -1	0	0x00008800 - 0x000088ff (0x100) IX[B]
	[3] -1	0	0x00008c00 - 0x00008cff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xfb800000 - 0xfc8fffff (0x1100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xff300000 - 0xff3fffff (0x100000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:24:0), (0,0,3), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus -1: bridge is at (0:24:1), (-1,-1,3), BCTRL: 0x0008 (VGA_EN
is set)
(II) Bus -1 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus -1: bridge is at (0:24:2), (-1,-1,3), BCTRL: 0x0008 (VGA_EN
is set)
(II) Bus -1 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus -1: bridge is at (0:24:3), (-1,-1,3), BCTRL: 0x0008 (VGA_EN
is set)
(II) Bus -1 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus -1: bridge is at (0:25:0), (-1,-1,3), BCTRL: 0x0008 (VGA_EN
is set)
(II) Bus -1 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus -1: bridge is at (0:25:1), (-1,-1,3), BCTRL: 0x0008 (VGA_EN
is set)
(II) Bus -1 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus -1: bridge is at (0:25:2), (-1,-1,3), BCTRL: 0x0008 (VGA_EN
is set)
(II) Bus -1 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus -1: bridge is at (0:25:3), (-1,-1,3), BCTRL: 0x0008 (VGA_EN
is set)
(II) Bus -1 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(--) PCI:*(3:6:0) ATI Technologies Inc Rage XL rev 39, Mem @
0xfd000000/24, 0xfeaff000/12, I/O @ 0xb000/8, BIOS @ 0xfeac0000/17
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[1] -1	0	0xfeafd000 - 0xfeafdfff (0x1000) MX[B]
	[2] -1	0	0xfc8c0000 - 0xfc8cffff (0x10000) MX[B]
	[3] -1	0	0xfc8d0000 - 0xfc8dffff (0x10000) MX[B]
	[4] -1	0	0xfc8a0000 - 0xfc8affff (0x10000) MX[B]
	[5] -1	0	0xfc8b0000 - 0xfc8bffff (0x10000) MX[B]
	[6] -1	0	0xfc000000 - 0xfc7fffff (0x800000) MX[B]
	[7] -1	0	0xfc8ffc00 - 0xfc8ffc0f (0x10) MX[B]
	[8] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[9] -1	0	0xfebfe000 - 0xfebfefff (0x1000) MX[B]
	[10] -1	0	0xfeac0000 - 0xfeadffff (0x20000) MX[B](B)
	[11] -1	0	0xfeaff000 - 0xfeafffff (0x1000) MX[B](B)
	[12] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[13] -1	0	0x00008c00 - 0x00008c0f (0x10) IX[B]
	[14] -1	0	0x0000cc00 - 0x0000cc1f (0x20) IX[B]
	[15] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[16] -1	0	0x0000b000 - 0x0000b0ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[1] -1	0	0xfeafd000 - 0xfeafdfff (0x1000) MX[B]
	[2] -1	0	0xfc8c0000 - 0xfc8cffff (0x10000) MX[B]
	[3] -1	0	0xfc8d0000 - 0xfc8dffff (0x10000) MX[B]
	[4] -1	0	0xfc8a0000 - 0xfc8affff (0x10000) MX[B]
	[5] -1	0	0xfc8b0000 - 0xfc8bffff (0x10000) MX[B]
	[6] -1	0	0xfc000000 - 0xfc7fffff (0x800000) MX[B]
	[7] -1	0	0xfc8ffc00 - 0xfc8ffc0f (0x10) MX[B]
	[8] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[9] -1	0	0xfebfe000 - 0xfebfefff (0x1000) MX[B]
	[10] -1	0	0xfeac0000 - 0xfeadffff (0x20000) MX[B](B)
	[11] -1	0	0xfeaff000 - 0xfeafffff (0x1000) MX[B](B)
	[12] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[13] -1	0	0x00008c00 - 0x00008c0f (0x10) IX[B]
	[14] -1	0	0x0000cc00 - 0x0000cc1f (0x20) IX[B]
	[15] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[16] -1	0	0x0000b000 - 0x0000b0ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[6] -1	0	0xfeafd000 - 0xfeafdfff (0x1000) MX[B]
	[7] -1	0	0xfc8c0000 - 0xfc8cffff (0x10000) MX[B]
	[8] -1	0	0xfc8d0000 - 0xfc8dffff (0x10000) MX[B]
	[9] -1	0	0xfc8a0000 - 0xfc8affff (0x10000) MX[B]
	[10] -1	0	0xfc8b0000 - 0xfc8bffff (0x10000) MX[B]
	[11] -1	0	0xfc000000 - 0xfc7fffff (0x800000) MX[B]
	[12] -1	0	0xfc8ffc00 - 0xfc8ffc0f (0x10) MX[B]
	[13] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[14] -1	0	0xfebfe000 - 0xfebfefff (0x1000) MX[B]
	[15] -1	0	0xfeac0000 - 0xfeadffff (0x20000) MX[B](B)
	[16] -1	0	0xfeaff000 - 0xfeafffff (0x1000) MX[B](B)
	[17] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[20] -1	0	0x00008c00 - 0x00008c0f (0x10) IX[B]
	[21] -1	0	0x0000cc00 - 0x0000cc1f (0x20) IX[B]
	[22] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[23] -1	0	0x0000b000 - 0x0000b0ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib64/modules/extensions/libdbe.a
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib64/modules/extensions/libextmod.a
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib64/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 0.0.2
	ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib64/modules/extensions/libglx.a
(II) Module glx: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib64/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib64/modules/extensions/librecord.a
(II) Module record: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib64/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 6.7.0, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib64/modules/fonts/libtype1.a
(II) Module type1: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib64/modules/extensions/libdri.a
(II) Module dri: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib64/modules/linux/libdrm.a
(II) Module drm: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib64/modules/drivers/ati_drv.o
(II) Module ati: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 6.5.6
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib64/modules/input/mouse_drv.o
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) ATI: ATI driver (version 6.5.6) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets:
	ATI Rage 128 Mobility M3 LE (PCI), ATI Rage 128 Mobility M3 LF (AGP),
	ATI Rage 128 Mobility M4 MF (AGP), ATI Rage 128 Mobility M4 ML (AGP),
	ATI Rage 128 Pro GL PA (AGP?), ATI Rage 128 Pro GL PB (AGP?),
	ATI Rage 128 Pro GL PC (AGP?), ATI Rage 128 Pro GL PD (PCI),
	ATI Rage 128 Pro GL PE (AGP?), ATI Rage 128 Pro GL PF (AGP),
	ATI Rage 128 Pro VR PG (AGP?), ATI Rage 128 Pro VR PH (AGP?),
	ATI Rage 128 Pro VR PI (AGP?), ATI Rage 128 Pro VR PJ (AGP?),
	ATI Rage 128 Pro VR PK (AGP?), ATI Rage 128 Pro VR PL (AGP?),
	ATI Rage 128 Pro VR PM (AGP?), ATI Rage 128 Pro VR PN (AGP?),
	ATI Rage 128 Pro VR PO (AGP?), ATI Rage 128 Pro VR PP (PCI),
	ATI Rage 128 Pro VR PQ (AGP?), ATI Rage 128 Pro VR PR (PCI),
	ATI Rage 128 Pro VR PS (AGP?), ATI Rage 128 Pro VR PT (AGP?),
	ATI Rage 128 Pro VR PU (AGP?), ATI Rage 128 Pro VR PV (AGP?),
	ATI Rage 128 Pro VR PW (AGP?), ATI Rage 128 Pro VR PX (AGP?),
	ATI Rage 128 GL RE (PCI), ATI Rage 128 GL RF (AGP),
	ATI Rage 128 RG (AGP), ATI Rage 128 VR RK (PCI),
	ATI Rage 128 VR RL (AGP), ATI Rage 128 4X SE (AGP?),
	ATI Rage 128 4X SF (AGP?), ATI Rage 128 4X SG (AGP?),
	ATI Rage 128 4X SH (AGP?), ATI Rage 128 4X SK (AGP?),
	ATI Rage 128 4X SL (AGP?), ATI Rage 128 4X SM (AGP),
	ATI Rage 128 4X SN (AGP?), ATI Rage 128 Pro ULTRA TF (AGP),
	ATI Rage 128 Pro ULTRA TL (AGP), ATI Rage 128 Pro ULTRA TR (AGP),
	ATI Rage 128 Pro ULTRA TS (AGP?), ATI Rage 128 Pro ULTRA TT (AGP?),
	ATI Rage 128 Pro ULTRA TU (AGP?)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE/7000 QY (AGP/PCI), ATI Radeon VE/7000 QZ (AGP/PCI),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI Radeon IGP320 (A3) 4136, ATI Radeon IGP320M (U1) 4336,
	ATI Radeon IGP330/340/350 (A4) 4137,
	ATI Radeon IGP330M/340M/350M (U2) 4337,
	ATI Radeon 7000 IGP (A4+) 4237, ATI Radeon Mobility 7000 IGP 4437,
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
	ATI Radeon 9100 QM (AGP), ATI Radeon 8500 AIW BB (AGP),
	ATI Radeon 8500 AIW BC (AGP), ATI Radeon 7500 QW (AGP/PCI),
	ATI Radeon 7500 QX (AGP/PCI), ATI Radeon 9000/PRO If (AGP/PCI),
	ATI Radeon 9000 Ig (AGP/PCI), ATI FireGL Mobility 9000 (M9) Ld (AGP),
	ATI Radeon Mobility 9000 (M9) Lf (AGP),
	ATI Radeon Mobility 9000 (M9) Lg (AGP),
	ATI Radeon 9100 IGP (A5) 5834,
	ATI Radeon Mobility 9100 IGP (U3) 5835,
	ATI Radeon 9200PRO 5960 (AGP), ATI Radeon 9200 5961 (AGP),
	ATI Radeon 9200 5962 (AGP), ATI Radeon 9200SE 5964 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP), ATI Radeon 9500 AD (AGP),
	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
	ATI FireGL Z1 AG (AGP), ATI Radeon 9700 Pro ND (AGP),
	ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9700 NF (AGP),
	ATI FireGL X1 NG (AGP), ATI Radeon 9600 AP (AGP),
	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP),
	ATI FireGL RV360 AV (AGP), ATI Radeon Mobility 9600 (M10) NP (AGP),
	ATI Radeon Mobility 9600 (M10) NQ (AGP),
	ATI Radeon Mobility 9600 (M11) NR (AGP),
	ATI Radeon Mobility 9600 (M10) NS (AGP),
	ATI FireGL Mobility T2 (M10) NT (AGP),
	ATI FireGL Mobility T2 (M11) NV (AGP), ATI Radeon 9800SE AH (AGP),
	ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
	ATI FireGL X2 AK (AGP), ATI Radeon 9800PRO NH (AGP),
	ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
	ATI Radeon 9800XT NJ (AGP)
(II) Primary Device is: PCI 03:06:0
(II) ATI:  Candidate "Device" section "Videocard0".
(II) ATI:  Shared PCI/AGP Mach64 in slot 3:6:0 detected.
(II) ATI:  Shared PCI/AGP Mach64 in slot 3:6:0 assigned to active
"Device" section "Videocard0".
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[6] -1	0	0xfeafd000 - 0xfeafdfff (0x1000) MX[B]
	[7] -1	0	0xfc8c0000 - 0xfc8cffff (0x10000) MX[B]
	[8] -1	0	0xfc8d0000 - 0xfc8dffff (0x10000) MX[B]
	[9] -1	0	0xfc8a0000 - 0xfc8affff (0x10000) MX[B]
	[10] -1	0	0xfc8b0000 - 0xfc8bffff (0x10000) MX[B]
	[11] -1	0	0xfc000000 - 0xfc7fffff (0x800000) MX[B]
	[12] -1	0	0xfc8ffc00 - 0xfc8ffc0f (0x10) MX[B]
	[13] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[14] -1	0	0xfebfe000 - 0xfebfefff (0x1000) MX[B]
	[15] -1	0	0xfeac0000 - 0xfeadffff (0x20000) MX[B](B)
	[16] -1	0	0xfeaff000 - 0xfeafffff (0x1000) MX[B](B)
	[17] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[20] -1	0	0x00008c00 - 0x00008c0f (0x10) IX[B]
	[21] -1	0	0x0000cc00 - 0x0000cc1f (0x20) IX[B]
	[22] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[23] -1	0	0x0000b000 - 0x0000b0ff (0x100) IX[B](B)
(II) Loading sub module "atimisc"
(II) LoadModule: "atimisc"
(II) Loading /usr/X11R6/lib64/modules/drivers/atimisc_drv.o
(II) Module atimisc: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 6.5.6
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 0.7
(II) resource ranges after probing:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[6] -1	0	0xfeafd000 - 0xfeafdfff (0x1000) MX[B]
	[7] -1	0	0xfc8c0000 - 0xfc8cffff (0x10000) MX[B]
	[8] -1	0	0xfc8d0000 - 0xfc8dffff (0x10000) MX[B]
	[9] -1	0	0xfc8a0000 - 0xfc8affff (0x10000) MX[B]
	[10] -1	0	0xfc8b0000 - 0xfc8bffff (0x10000) MX[B]
	[11] -1	0	0xfc000000 - 0xfc7fffff (0x800000) MX[B]
	[12] -1	0	0xfc8ffc00 - 0xfc8ffc0f (0x10) MX[B]
	[13] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[14] -1	0	0xfebfe000 - 0xfebfefff (0x1000) MX[B]
	[15] -1	0	0xfeac0000 - 0xfeadffff (0x20000) MX[B](B)
	[16] -1	0	0xfeaff000 - 0xfeafffff (0x1000) MX[B](B)
	[17] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[18] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[19] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[20] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[21] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[22] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[23] -1	0	0x00008c00 - 0x00008c0f (0x10) IX[B]
	[24] -1	0	0x0000cc00 - 0x0000cc1f (0x20) IX[B]
	[25] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[26] -1	0	0x0000b000 - 0x0000b0ff (0x100) IX[B](B)
	[27] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[28] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 24, (--) framebuffer bpp 32
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib64/modules/linux/libint10.a
(II) Module int10: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.7
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib64/modules/libddc.a
(II) Module ddc: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib64/modules/libvbe.a
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.1.0
	ABI class: X.Org Video Driver, version 0.7
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE Version 2.0
(II) ATI(0): VESA VBE Total Mem: 8128 kB
(II) ATI(0): VESA VBE OEM: ATI MACH64
(II) ATI(0): VESA VBE OEM Software Rev: 1.0
(II) ATI(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) ATI(0): VESA VBE OEM Product: MACH64GM
(II) ATI(0): VESA VBE OEM Product Rev: 01.00
(II) ATI(0): VESA VBE DDC supported
(II) ATI(0): VESA VBE DDC Level 2
(II) ATI(0): VESA VBE DDC transfer in appr. 2 sec.
(II) ATI(0): VESA VBE DDC read successfully
(II) ATI(0): Manufacturer: SAM  Model: 4a75  Serial#: 1380856117
(II) ATI(0): Year: 2000  Week: 35
(II) ATI(0): EDID Version: 1.2
(II) ATI(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) ATI(0): Sync:  Separate  Composite  SyncOnGreenSerration on.
V.Sync Pulse req. if CompSync or SyncOnGreen
(II) ATI(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) ATI(0): Gamma: 1.97
(II) ATI(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) ATI(0): First detailed timing is preferred mode
(II) ATI(0): redX: 0.626 redY: 0.329   greenX: 0.285 greenY: 0.592
(II) ATI(0): blueX: 0.145 blueY: 0.111   whiteX: 0.305 whiteY: 0.328
(II) ATI(0): Supported VESA Video Modes:
(II) ATI(0): 720x400@70Hz
(II) ATI(0): 640x480@60Hz
(II) ATI(0): 640x480@67Hz
(II) ATI(0): 640x480@75Hz
(II) ATI(0): 800x600@56Hz
(II) ATI(0): 800x600@60Hz
(II) ATI(0): 800x600@75Hz
(II) ATI(0): 832x624@75Hz
(II) ATI(0): 1024x768@60Hz
(II) ATI(0): 1024x768@70Hz
(II) ATI(0): 1024x768@75Hz
(II) ATI(0): Manufacturer's mask: 0
(II) ATI(0): Supported Future Video Modes:
(II) ATI(0): #0: hsize: 640  vsize 480  refresh: 75  vid: 20273
(II) ATI(0): #1: hsize: 800  vsize 600  refresh: 75  vid: 20293
(II) ATI(0): #2: hsize: 1024  vsize 768  refresh: 75  vid: 20321
(II) ATI(0): Supported additional Video Mode:
(II) ATI(0): clock: 78.8 MHz   Image Size:  304 x 228 mm
(II) ATI(0): h_active: 1024  h_sync: 1040  h_sync_end 1136 h_blank_end
1312 h_border: 0
(II) ATI(0): v_active: 768  v_sync: 769  v_sync_end 772 v_blanking:
800 v_border: 0
(II) ATI(0): Ranges: V min: 50  V max: 75 Hz, H min: 30  H max: 61
kHz, PixClock max 80 MHz
(II) ATI(0): Monitor name: 570S/580S TFT
(II) ATI(0): Serial No: H4UN801192
(II) ATI(0): BIOS Data:  BIOSSize=0x8000, ROMTable=0x0114.
(II) ATI(0): BIOS Data:  ClockTable=0x09AC, FrequencyTable=0x0986.
(II) ATI(0): BIOS Data:  LCDTable=0x0000, LCDPanelInfo=0x0000.
(II) ATI(0): BIOS Data:  VideoTable=0x0000, HardwareTable=0x015E.
(II) ATI(0): BIOS Data:  I2CType=0x0F, Tuner=0x00, Decoder=0x00,
Audio=0x0F.
(--) ATI(0): ATI 3D Rage XL or XC graphics controller detected.
(--) ATI(0): Chip type 4752 "GR", version 7, foundry TSMC, class 0,
revision 0x00.
(--) ATI(0): PCI bus interface detected;  block I/O base is 0xB000.
(--) ATI(0): ATI Mach64 adapter detected.
(!!) ATI(0): For information on using the multimedia capabilities
	of this adapter, please see http://gatos.sf.net.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 888
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(II) ATI(0): Storing hardware cursor image at 0xFD7FFC00.
(II) ATI(0): Using 8 MB linear aperture at 0xFD000000.
(!!) ATI(0): Virtual resolutions will be limited to 8191 kB
 due to linear aperture size and/or placement of hardware cursor image
area.
(II) ATI(0): Using Block 0 MMIO aperture at 0xFEAFF400.
(II) ATI(0): Using Block 1 MMIO aperture at 0xFEAFF000.
(WW) ATI(0): Failed to set up write-combining range (0xfd000000,0x800000)
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 8192 kB of SGRAM (2:1) 32-bit detected (using 8191 kB).
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(II) ATI(0): Engine XCLK 59.922 MHz;  Refresh rate code 1.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 29.500 MHz.
(II) ATI(0): Monitor0: Using hsync range of 31.50-37.90 kHz
(II) ATI(0): Monitor0: Using vrefresh range of 50.00-70.00 Hz
(II) ATI(0): Maximum clock: 119.00 MHz
(II) ATI(0): Not using default mode "640x350" (vrefresh out of range)
(II) ATI(0): Not using default mode "320x175" (vrefresh out of range)
(II) ATI(0): Not using default mode "640x400" (vrefresh out of range)
(II) ATI(0): Not using default mode "320x200" (vrefresh out of range)
(II) ATI(0): Not using default mode "720x400" (vrefresh out of range)
(II) ATI(0): Not using default mode "360x200" (vrefresh out of range)
(II) ATI(0): Not using default mode "640x480" (vrefresh out of range)
(II) ATI(0): Not using default mode "320x240" (vrefresh out of range)
(II) ATI(0): Not using default mode "640x480" (vrefresh out of range)
(II) ATI(0): Not using default mode "320x240" (vrefresh out of range)
(II) ATI(0): Not using default mode "640x480" (hsync out of range)
(II) ATI(0): Not using default mode "320x240" (hsync out of range)
(II) ATI(0): Not using default mode "800x600" (hsync out of range)
(II) ATI(0): Not using default mode "400x300" (hsync out of range)
(II) ATI(0): Not using default mode "800x600" (hsync out of range)
(II) ATI(0): Not using default mode "400x300" (hsync out of range)
(II) ATI(0): Not using default mode "800x600" (hsync out of range)
(II) ATI(0): Not using default mode "400x300" (hsync out of range)
(II) ATI(0): Not using default mode "1024x768" (vrefresh out of range)
(II) ATI(0): Not using default mode "512x384" (vrefresh out of range)
(II) ATI(0): Not using default mode "1024x768" (hsync out of range)
(II) ATI(0): Not using default mode "512x384" (hsync out of range)
(II) ATI(0): Not using default mode "1024x768" (hsync out of range)
(II) ATI(0): Not using default mode "512x384" (hsync out of range)
(II) ATI(0): Not using default mode "1024x768" (hsync out of range)
(II) ATI(0): Not using default mode "512x384" (hsync out of range)
(II) ATI(0): Not using default mode "1024x768" (hsync out of range)
(II) ATI(0): Not using default mode "512x384" (hsync out of range)
(II) ATI(0): Not using default mode "1152x864" (hsync out of range)
(II) ATI(0): Not using default mode "576x432" (hsync out of range)
(II) ATI(0): Not using default mode "1280x960" (hsync out of range)
(II) ATI(0): Not using default mode "640x480" (hsync out of range)
(II) ATI(0): Not using default mode "1280x960" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "640x480" (hsync out of range)
(II) ATI(0): Not using default mode "1280x1024" (hsync out of range)
(II) ATI(0): Not using default mode "640x512" (hsync out of range)
(II) ATI(0): Not using default mode "1280x1024" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "640x512" (hsync out of range)
(II) ATI(0): Not using default mode "1280x1024" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "640x512" (hsync out of range)
(II) ATI(0): Not using default mode "1600x1200" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "800x600" (hsync out of range)
(II) ATI(0): Not using default mode "1600x1200" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "800x600" (hsync out of range)
(II) ATI(0): Not using default mode "1600x1200" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "800x600" (hsync out of range)
(II) ATI(0): Not using default mode "1600x1200" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "800x600" (hsync out of range)
(II) ATI(0): Not using default mode "1600x1200" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "800x600" (hsync out of range)
(II) ATI(0): Not using default mode "1792x1344" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "896x672" (hsync out of range)
(II) ATI(0): Not using default mode "1792x1344" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "896x672" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "1856x1392" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "928x696" (hsync out of range)
(II) ATI(0): Not using default mode "1856x1392" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "928x696" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "1920x1440" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "960x720" (hsync out of range)
(II) ATI(0): Not using default mode "1920x1440" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "960x720" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "832x624" (hsync out of range)
(II) ATI(0): Not using default mode "416x312" (hsync out of range)
(II) ATI(0): Not using default mode "1152x768" (hsync out of range)
(II) ATI(0): Not using default mode "576x384" (hsync out of range)
(II) ATI(0): Not using default mode "1152x864" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "576x432" (hsync out of range)
(II) ATI(0): Not using default mode "1400x1050" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "700x525" (hsync out of range)
(II) ATI(0): Not using default mode "1400x1050" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "700x525" (hsync out of range)
(II) ATI(0): Not using default mode "1400x1050" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "700x525" (hsync out of range)
(II) ATI(0): Not using default mode "1400x1050" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "700x525" (hsync out of range)
(II) ATI(0): Not using default mode "1600x1024" (hsync out of range)
(II) ATI(0): Not using default mode "800x512" (hsync out of range)
(II) ATI(0): Not using default mode "1920x1200" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "960x600" (hsync out of range)
(II) ATI(0): Not using default mode "1920x1440" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "960x720" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "2048x1536" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "1024x768" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "2048x1536" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "1024x768" (bad mode
clock/interlace/doublescan)
(II) ATI(0): Not using default mode "2048x1536" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "1024x768" (bad mode
clock/interlace/doublescan)
(--) ATI(0): Virtual size is 800x600 (pitch 800)
(**) ATI(0): *Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) ATI(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605
628 +hsync +vsync
(**) ATI(0): *Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(II) ATI(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492
525 -hsync -vsync
(**) ATI(0):  Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(II) ATI(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603
625 +hsync +vsync
(**) ATI(0):  Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D)
(II) ATI(0): Modeline "400x300"   20.00  400 420 484 528  300 300 302
314 doublescan +hsync +vsync
(**) ATI(0):  Default mode "400x300": 18.0 MHz, 35.2 kHz, 56.3 Hz (D)
(II) ATI(0): Modeline "400x300"   18.00  400 412 448 512  300 300 301
312 doublescan +hsync +vsync
(**) ATI(0):  Default mode "320x240": 12.6 MHz, 31.5 kHz, 60.1 Hz (D)
(II) ATI(0): Modeline "320x240"   12.60  320 328 376 400  240 245 246
262 doublescan -hsync -vsync
(--) ATI(0): Display dimensions: (300, 230) mm
(--) ATI(0): DPI set to (67, 66)
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib64/modules/libxaa.a
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.1.0
	ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib64/modules/libramdac.a
(II) Module ramdac: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 0.1.0
	ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib64/modules/libfb.a
(II) Module fb: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.2
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib64/modules/libi2c.a
(II) Module i2c: vendor="X.Org Foundation"
	compiled for 6.7.0, module version = 1.2.0
	ABI class: X.Org Video Driver, version 0.7
(II) ATI(0): I2C bus "Mach64" initialized.
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xfeaff000 - 0xfeafffff (0x1000) MS[B]
	[1] 0	0	0xfd000000 - 0xfdffffff (0x1000000) MS[B]
	[2] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[8] -1	0	0xfeafd000 - 0xfeafdfff (0x1000) MX[B]
	[9] -1	0	0xfc8c0000 - 0xfc8cffff (0x10000) MX[B]
	[10] -1	0	0xfc8d0000 - 0xfc8dffff (0x10000) MX[B]
	[11] -1	0	0xfc8a0000 - 0xfc8affff (0x10000) MX[B]
	[12] -1	0	0xfc8b0000 - 0xfc8bffff (0x10000) MX[B]
	[13] -1	0	0xfc000000 - 0xfc7fffff (0x800000) MX[B]
	[14] -1	0	0xfc8ffc00 - 0xfc8ffc0f (0x10) MX[B]
	[15] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[16] -1	0	0xfebfe000 - 0xfebfefff (0x1000) MX[B]
	[17] -1	0	0xfeac0000 - 0xfeadffff (0x20000) MX[B](B)
	[18] -1	0	0xfeaff000 - 0xfeafffff (0x1000) MX[B](B)
	[19] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[20] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
	[21] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
	[22] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
	[23] 0	0	0x0000b000 - 0x0000b0ff (0x100) IS[B]
	[24] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[25] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[26] -1	0	0x00008c00 - 0x00008c0f (0x10) IX[B]
	[27] -1	0	0x0000cc00 - 0x0000cc1f (0x20) IX[B]
	[28] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[29] -1	0	0x0000b000 - 0x0000b0ff (0x100) IX[B](B)
	[30] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[31] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(WW) ATI(0): Failed to set up write-combining range (0xfd000000,0x800000)
(II) ATI(0): Largest offscreen areas (with overlaps):
(II) ATI(0): 	800 x 2021 rectangle at 0,600
(II) ATI(0): 	96 x 2022 rectangle at 0,600
(II) ATI(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		14 256x256 slots
(==) ATI(0): Backing store disabled
(==) ATI(0): Silken mouse enabled
(**) Option "dpms"
(**) ATI(0): DPMS enabled
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Device: "/dev/input/mice"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded

   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support 
	 at http://wiki.X.Org
 for help. 
Please also check the log file at "/var/log/Xorg.1.log" for additional
information.
Comment 1 Mike A. Harris 2004-07-07 03:48:15 EDT

*** This bug has been marked as a duplicate of 125703 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:03:57 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.